Bug 10502 - Add independent branches option for sql reports
Summary: Add independent branches option for sql reports
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Kyle M Hall
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 10263
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 13:41 UTC by Kyle M Hall
Modified: 2016-12-05 21:23 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10502 - Add independent branches option for sql reports (8.12 KB, patch)
2013-06-24 14:21 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10502 - Add independent branches option for sql reports (8.35 KB, patch)
2013-09-03 14:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10502 - Add independent branches option for sql reports (8.45 KB, patch)
2013-09-17 16:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10502 - Add independent branches option for sql reports (8.43 KB, patch)
2013-12-12 15:40 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10502 - Add independent branches option for sql reports (8.43 KB, patch)
2013-12-12 16:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10502 - Add independent branches option for sql reports (8.49 KB, patch)
2013-12-18 16:53 UTC, Melissa Lefebvre
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2013-06-24 13:41:54 UTC

    
Comment 1 Kyle M Hall 2013-06-24 14:21:18 UTC Comment hidden (obsolete)
Comment 2 Aurélie Fichot 2013-06-25 15:48:39 UTC
Test on sandbox

Something went wrong !
Applying: Bug 10502 - Add independent branches option for sql reports
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 10502 - Add independent branches option for sql reports
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
Bug 10502 - Add independent branches option for sql reports

Bug 10502 - Add independent branches option for sql reports
Apply? [yn] 
Patch left in /tmp/Bug-10502---Add-independent-branches-option-for-sq-SSLNId.patch

=== translation installation ===
Comment 3 Kyle M Hall 2013-06-26 16:18:52 UTC
Odd, I had no problems applying this patch to the latest master.
Comment 4 Srdjan Jankovic 2013-07-25 04:53:29 UTC
Is this just "I don't want to see other branches reports, I cannot find mine" case, or "We don't want you to see what other people are doing" kind of thing? Cause if it is former, it should really be a select drop down, rather than a syspref. Maybe.
Comment 5 Kyle M Hall 2013-07-29 12:31:26 UTC
It is a case of the latter. The idea is to create "walled gardens" for each library or group of libraries. We could definitely add a dropdown filter as a separate bug/patch, but that alone wouldn't satisfy the requirements for this bug. The intent of all these new independent branches patches is to make Koha more consortia friendly. Some consortia are rabid about not being able to see each others data, including even seeing each others reports!

(In reply to Srdjan Jankovic from comment #4)
> Is this just "I don't want to see other branches reports, I cannot find
> mine" case, or "We don't want you to see what other people are doing" kind
> of thing? Cause if it is former, it should really be a select drop down,
> rather than a syspref. Maybe.
Comment 6 Srdjan Jankovic 2013-09-02 00:55:49 UTC
fatal: sha1 information is lacking or useless (installer/data/mysql/kohastructure.sql).
Comment 7 Kyle M Hall 2013-09-03 14:58:57 UTC Comment hidden (obsolete)
Comment 8 Srdjan Jankovic 2013-09-03 23:57:12 UTC
Undefined subroutine &C4::Branch::GetIndependentGroupModificationRights called at /home/srdjan/koha/dev/C4/Reports/Guided.pm line 676.
Comment 9 Kyle M Hall 2013-09-04 11:13:39 UTC
Did you apply the patch for 10276 first? That subroutine is contain in that bug's patch.

Kyle

(In reply to Srdjan Jankovic from comment #8)
> Undefined subroutine &C4::Branch::GetIndependentGroupModificationRights
> called at /home/srdjan/koha/dev/C4/Reports/Guided.pm line 676.
Comment 10 Srdjan Jankovic 2013-09-05 05:31:21 UTC
Sorry, didn't
Comment 11 Kyle M Hall 2013-09-17 16:58:42 UTC Comment hidden (obsolete)
Comment 12 I'm just a bot 2013-09-18 11:16:21 UTC
Applying: Bug 10502 - Add independent branches option for sql reports
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 10502 - Add independent branches option for sql reports
The copy of the patch that failed is found in:
   /home/christopher/git/koha/.git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
Comment 13 Kyle M Hall 2013-12-12 15:40:14 UTC Comment hidden (obsolete)
Comment 14 Kyle M Hall 2013-12-12 16:33:56 UTC Comment hidden (obsolete)
Comment 15 Joel Sasse 2013-12-18 16:40:21 UTC
I tested this and want to sign off on it.

Joel Sasse
Comment 16 Melissa Lefebvre 2013-12-18 16:53:26 UTC
Created attachment 23640 [details] [review]
Bug 10502 - Add independent branches option for sql reports
Comment 17 Katrin Fischer 2013-12-29 17:05:10 UTC
Couldn't spot any problems reviewing the code :)

I am marking this BLOCKED, because of the dependencies. As soon as those have moved forward, this can go back to signed off.